<?xml version="1.0"?>
<!DOCTYPE mbeans-descriptors PUBLIC
 "-//Apache Software Foundation//DTD Model MBeans Configuration File"
 "http://jakarta.apache.org/commons/dtds/mbeans-descriptors.dtd">

<!--
 - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
 - JOnAS: Java(TM) Open Application Server
 - Copyright (C) 1999-2007 Bull S.A.S.
 - Contact: jonas-team@ow2.org
 -
 - This library is free software; you can redistribute it and/or
 - modify it under the terms of the GNU Lesser General Public
 - License as published by the Free Software Foundation; either
 - version 2.1 of the License, or any later version.
 -
 - This library is distributed in the hope that it will be useful,
 - but WITHOUT ANY WARRANTY; without even the implied warranty of
 - MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 - Lesser General Public License for more details.
 -
 - You should have received a copy of the GNU Lesser General Public
 - License along with this library; if not, write to the Free Software
 - Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 - USA
 -
 - Initial developer(s): Eric Hardesty
 - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
 - $Id$
 - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
 -->

<mbeans-descriptors>

  <mbean name="TransactionService"
         description="JOTM Transaction Service MBean"
         domain="JOnAS"
         group="service"
         type="org.ow2.jonas.tm.jotm.JOTMTransactionService">
  </mbean>

  <mbean name="JTAResource"
         className="org.ow2.jonas.tm.jotm.mbean.JTAResourceMBean"
         description="JTAResource J2EEResource"
         domain="JOnAS"
         group="J2EEResource"
         type="org.ow2.jonas.tm.jotm.mbean.JTAResource">

    <attribute name="objectName"
               description="Name of the object"
               type="java.lang.String"
               writeable="false"/>

    <attribute name="stateManageable"
               description="State management support for this managed object"
               is="true"
               type="boolean"
               writeable="false"/>

    <attribute name="statisticsProvider"
               description="Performance statistics support for this managed object"
               is="true"
               type="boolean"
               writeable="false"/>

    <attribute name="eventProvider"
               description="Event provider support for this managed object"
               is="true"
               type="boolean"
               writeable="false"/>

    <attribute name="timeOut"
               description="Default transaction time-out"
               type="java.lang.Integer"
               writeable="true"/>

  <attribute name="localJtm"
           description="Local JTM"
           is="true"
           type="java.lang.Boolean"
           writeable="false"/>

  <attribute name="portNumber"
          description="JTM port number"
          type="java.lang.Integer"
               writeable="false"/>

  <attribute name="hostName"
          description="JTM host name"
          type="java.lang.String"
               writeable="false"/>

    <attribute name="totalBegunTransactions"
               description="Total number of begun transactions"
          type="java.lang.Integer"
               writeable="false"/>

    <attribute name="totalCommittedTransactions"
               description="Total number of committed transactions"
          type="java.lang.Integer"
               writeable="false"/>

    <attribute name="totalCurrentTransactions"
               description="Total number of current transactions"
          type="java.lang.Integer"
               writeable="false"/>

    <attribute name="totalExpiredTransactions"
               description="Total number of expired transactions"
          type="java.lang.Integer"
               writeable="false"/>

    <attribute name="totalRolledbackTransactions"
               description="Total number of rolledback transactions"
          type="java.lang.Integer"
               writeable="false"/>

    <operation name="resetAllCounters"
               description="Reset all transaction counters"
               impact="ACTION"
               returnType="void">
    </operation>

    <operation name="saveConfig"
               description="Save last configuration update"
               impact="ACTION"
               returnType="void">
    </operation>

    <operation name="getAllActiveTx"
               description="Get all Active Transactions"
               impact="ACTION"
               returnType="void">
    </operation>

    <operation name="getAllRecoveryTx"
               description="Get all Recovery Transactions"
               impact="ACTION"
               returnType="void">
    </operation>

    <operation name="getAllXAResource"
               description="Get all XAResource for Recovery"
               impact="ACTION"
               returnType="void">
    </operation>

    <operation name="commitXAResource"
               description="Recovery: Commit XAResource"
               impact="ACTION"
               returnType="void">
    </operation>

    <operation name="rollbackXAResource"
               description="Recovery: Rollback XAResource"
               impact="ACTION"
               returnType="void">
    </operation>

    <operation name="forgetXAResource"
               description="Recovery: Forget XAResource"
               impact="ACTION"
               returnType="void">
    </operation>
  </mbean>

</mbeans-descriptors>
